Complexity:
Is Regression: No
Subject: Creating new sys_file_metadata record for existing sys_file record doesn't set image dimensions
Description

Given the presence of a sys_file record with no related sys_file_reference_record
When I am in the metadata "Edit" dialog in the filelist module
The missing sys_file_metadata record will be autocreated

But: (at least) the fields "width" and "height" are not written, which is quite deadly for the f:image ViewHelper

While this might sound like a special case of database inconsistency, it actually seems to be the default case when upgrading from 6.0
or 6.1
Might be related to #44105 et al.

Related issues:
related to Core - Bug # 44105: Image size does not get updated Closed 2012-12-19
related to Core - Task # 57545: Missing metadata entry impossible to regenerate. Resolved 2014-04-02

History
#1 - 2014-04-02 16:16 - Alexander Opitz

"While this might sound like a special case of database inconsistency, it actually seems to be the default case when upgrading from 6.0 or 6.1"

Did you run the migration wizards? Course this shouldn't be the case if you upgrade from 6.0/6.1.

Updating TYPO3 before 6.0 had an issue, which was solved today with #46020.

The issue behind the auto creation with empty values is #57545. I would like to concentrate me on your upgrade problem in this issue.

#2 - 2014-04-02 16:28 - Bernhard Schmitt

Yep, I ran the migration wizards. One step stated the splitting and creation of FAL stuff, so I didn't skip on that.
Actually, the sys_file_metadata table seemed to be completely populated with records, but they were empty except for the references to sys_file

#3 - 2014-04-02 17:02 - Alexander Opitz
- Status changed from New to Accepted

Ok, we will take a look into this. Can you tell me, which TYPO3 version do you tried to update? And maybe some lines from the sys_file table before
migration?
If we found an issue there, do you have the possibility to migrate again with fixed code?

#4 - 2014-04-02 17:25 - Bernhard Schmitt
- File sys_file_export.sql added

Old version was 6.1.5

File records are attached

Migration can be re-done, no problem.

#5 - 2014-04-02 21:26 - Alexander Opitz

Thanks for help, hopefully I have time tomorrow to take a look. The SQL snippet seams to be correct.

#6 - 2014-04-03 15:44 - Alexander Opitz

Hi Bernhard,

I couldn't reproduce this issue, so I need some more information:

Dump of the SQL Structure of the sys_file before migration.
Dump of the SQL Structure of the sys_file_metadata after migration.

The FileTableSplittingUpdate wizard takes all data from sys_file and inserts them into sys_file_metadata in one SQL Statement. I don't think that there
is an error, but maybe the table structure has issues.

One possibility in my mind, did you start the "Database analyzer" before migration?

#7 - 2014-06-30 14:35 - Bernhard Schmitt

I've tested this again with 6.2.3 including running the complete set of install tool upgrade wizards and scheduler tasks and there seem to be no further
problems regarding image dimensions.

#8 - 2014-06-30 15:32 - Markus Klein
- Status changed from Accepted to Needs Feedback

Please test again, once 6.2.4 is released.

#9 - 2014-06-30 16:14 - Markus Klein
- Status changed from Needs Feedback to Closed

Correction. Closing this as it seems resolved.
Files
sys_file_export.sql 2.6 kB 2014-04-02 Bernhard Schmitt
